Bug 165596 - Trying to open a passworded cbr (rar compressed comicbook) hangs okular
Summary: Trying to open a passworded cbr (rar compressed comicbook) hangs okular
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: Comicbook backend (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-02 22:38 UTC by Jochen Radmacher
Modified: 2008-08-22 18:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
some kde icons as passworded cbr, password: test (107.47 KB, application/octet-stream)
2008-07-02 22:39 UTC, Jochen Radmacher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Radmacher 2008-07-02 22:38:01 UTC
Version:           0.6.80 (using Devel)
Installed from:    Compiled sources
Compiler:          gcc 4.2.3 
OS:                Linux

When trying to open a passworded cbr file, Okular hangs with a blank white Window.
Comment 1 Jochen Radmacher 2008-07-02 22:39:36 UTC
Created attachment 25794 [details]
some kde icons as passworded cbr, password: test
Comment 2 Pino Toscano 2008-07-07 09:33:27 UTC
SVN commit 828998 by pino:

On UNIX, make use of a pty process instead of a normal process, as unrar opens pty connections for getting passwords.
In other cases, when getting password requests via stderr, just kill the process and return with a failure code:
the proper solution would be handling the password request, but this is a non-trivial task that require some more work.

Thus, for now, just do not allow password-protected RARs to be opened.
BUG: 165596


 M  +3 -0      CMakeLists.txt  
 M  +77 -22    unrar.cpp  
 M  +12 -1     unrar.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=828998